print("Sequence demo loaded");

--return Hande> textureName, waitTime, transTime, transtpye, startR, G, B, A end R, G, B, A fade R,G,B,A, reverse?
--key0 = addComicKey("comic_black.dds", 0, 1.5, wipe_none,    1,1,1,0,         1,1,1,1);
key1 = addComicKey("demogun.jpg", 0, 1.5, slide_left,             1,1,1,0,        1,1,1,1,        1,1,1,0, false);
key5 = addComicKey("comic_black.dds", 0, 0, wipe_right,       1,1,1,1,        1,1,1,1,        1,1,1,1, false);
key1 = addComicKey("demogun.jpg", 3, 1.5, slide_right,             1,1,1,1,        1,1,1,0,        1,1,1,0, true);
key2 = addComicKey("demofrig1.jpg", 0, 1.5, slide_bottom,        1,1,1,0,        1,1,1,1,        1,1,1,1, false);
key3 = addComicKey("demofrig2.jpg", 6.5, 1.5, wipe_left,           1,1,1,0,        1,1,1,1,        1,1,1,1, false);
key4 = addComicKey("demofrig.jpg", 3, 1.5, wipe_right,         1,1,1,0,        1,1,1,1,        1,1,1,1, false);

key5 = addComicKey("comic_blank.dds", 0, 0, wipe_none,          1,1,1,1,        1,1,1,1,        1,1,1,1, false);
--THE LAST KEY ALWAYS RUNS IN REVERSE FROM DEST TO SOURCE
key6 = addComicKey("demofrig.jpg", 3, 3, slide_top,             1,1,1,1,        1,1,1,0,        1,1,1,0, true);
--key7 = addComicKey("comic_black.dds", 3, 1.5, wipe_none,    1,1,1,0,         1,1,1,1);
--key8 = addComicKey("comic_blank.dds", 0, 0, wipe_none,   1,1,1,1,         1,1,1,1);
--key9 = addComicKey("comic_black.dds", 0, 1.5, wipe_none,    1,1,1,1,         1,1,1,0);


--return handle> time, zoom, posX, posY, 
cam1 = addCamKey(8, 1, 0, 0);
cam1 = addCamKey(1, 0.8, 0, 0);
cam1 = addCamKey(2, 0.8, 0, 0);
cam1 = addCamKey(2, 1.5, 0, 0.2);
cam1 = addCamKey(2, 1.5, 0, 0.2);
cam1 = addCamKey(1, 1.5, 0, -0.2);
cam1 = addCamKey(1, 1.5, 0, -0.2);
cam1 = addCamKey(7.5, 1.5, 0, -0.2);
cam1 = addCamKey(3, 1.0, 0, -0.2);

playSong("Assasin.ogg");

startComic(0, 0, 0, true);